Fedora 33 : rpki-client (2020-f30b30c2d8)

High Nessus Plugin ID 143195

Synopsis

The remote Fedora host is missing a security update.

Description

rpki-client 6.8p1 =================

This is the second release based on OpenBSD 6.8. It includes the following changes to the previous release :

- Incorporate OpenBSD 6.8 errata 006 of November 10, 2020:
rpki-client incorrectly checks the manifest validity interval.

In the portable version :

- Add compat code for the LibreSSL `ASN1_time_parse()` and `ASN1_time_tm_cmp()` functions. Those are needed to properly check the validity of MFT files.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website.
Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected rpki-client package.

See Also

https://bodhi.fedoraproject.org/updates/FEDORA-2020-f30b30c2d8

Plugin Details

Severity: High

ID: 143195

File Name: fedora_2020-f30b30c2d8.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2020/11/23

Updated: 2020/11/23

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:rpki-client, cpe:/o:fedoraproject:fedora:33

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2020/11/21

Vulnerability Publication Date: 2020/11/21

Reference Information